/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package chemo

import (
	e "simrs-vx/internal/domain/main-entities/chemo"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Chemo) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Status_Code = inputSrc.Status_Code
	data.SrcUnit_Code = inputSrc.SrcUnit_Code
}
